! +++++++++++++++++++++++++++++++++++++
! 
! Midas procedure load_ima.prg  for recipe `load_ima'
! K. Banse	970330
! M. Peron      970601
! this procedure loads an image into the display
! 
! param1 = name of output frame
!          this parameter is not needed nor used (artifact from DO)
! param2 = name of ASCII file containing the file to be loaded
! 
! +++++++++++++++++++++++++++++++++++++~
! 
define/param p1 ? c
define/param p2 ? c
!
log/recipe load_ima in			!log time of procedure start
! 
define/local count/i/1/1 0		!no. of input bias frames
define/local work/c/1/80 " "
define/local catal/I/1/1 0
! 
@d set_of_frames IN {p1} load_ima		!convert FITS input frames
! 
count = outputi(1)		!save no. of frames 
if count .lt. 1 return/exit
! 
cat_loop:
   store/frame work load_ima.cat 1 finito
   goto cat_loop
finito:
if pipeline(5) .eq. 1 then
   load/image {work} scale=full cuts=f,1sigma
endif
! 
log/recipe load_ima out 	!log time of procedure end + set return status
